[21.04 FEAT] SMC-D v2 Support

Bug #1853291 reported by bugproxy
14
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Ubuntu on IBM z Systems
Fix Released
Medium
Skipper Bug Screeners
linux (Ubuntu)
Fix Released
Undecided
Skipper Bug Screeners

Bug Description

SMC is currently limited to traffic within a single IP subnet only. SMC v2 will lift this restriction, which also (confusingly) applies to ISM devices/SMC-D.
This is a strict requirement e.g. for Docker containers.
Current planning is to have a new ISM device type, titled "ISM v2" for now, so users can make a conscious decision whether (conceptually) different IP subnets can be interconnected or not, which might be a security concern.

Business value:
Prerequisite for proper Docker support

bugproxy (bugproxy)
tags: added: architecture-s39064 bugnameltc-179228 severity-high targetmilestone-inin2004
Changed in ubuntu:
assignee: nobody → Skipper Bug Screeners (skipper-screen-team)
affects: ubuntu → linux (Ubuntu)
Revision history for this message
Frank Heimes (fheimes) wrote :

What is the planned target kernel this is going to become upstream accepted?
Changing to Incomplete for now.

Changed in linux (Ubuntu):
status: New → Incomplete
Changed in ubuntu-z-systems:
status: New → Incomplete
importance: Undecided → Medium
assignee: nobody → Frank Heimes (frank-heimes)
Revision history for this message
bugproxy (bugproxy) wrote : Comment bridged from LTC Bugzilla

------- Comment From <email address hidden> 2019-11-22 08:05 EDT-------
Planned Target : kernel 5.5

summary: - [20.04 FEAT] SMC-D v2 Support
+ [20.10 FEAT] SMC-D v2 Support
Revision history for this message
bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2020-01-30 08:35 EDT-------
Will not make it in time for 20.04 -> New Target 20.10

tags: added: targetmilestone-inin2010
removed: targetmilestone-inin2004
Revision history for this message
Frank Heimes (fheimes) wrote : Re: [20.10 FEAT] SMC-D v2 Support

Did this landed in 5.8 or does it need to be moved to 21.04 now?

Revision history for this message
bugproxy (bugproxy) wrote : Comment bridged from LTC Bugzilla

------- Comment From <email address hidden> 2020-09-04 04:02 EDT-------
Feature is an important one, even only the kernel part.
Once available, we will than ask for a feature freeze exception.

Revision history for this message
Frank Heimes (fheimes) wrote : Re: [20.10 FEAT] SMC-D v2 Support

Since this is a kernel topic, there is still a little change to get it in, if it arrives prior to the kernel freeze - ideally by the end of September!
Once the kernel freeze is in effect, the entire release is in frozen too ...

summary: - [20.10 FEAT] SMC-D v2 Support
+ [21.04 FEAT] SMC-D v2 Support
Revision history for this message
bugproxy (bugproxy) wrote : Comment bridged from LTC Bugzilla

------- Comment From <email address hidden> 2020-09-30 05:20 EDT-------
Feature moved to 21.04, will not make it in time for 20.10. But has the potential, to be requested via SRU for 20.10,20.04 in addition to 21.04.

tags: added: targetmilestone-inin2104
removed: targetmilestone-inin2010
Frank Heimes (fheimes)
Changed in ubuntu-z-systems:
assignee: Frank Heimes (fheimes) → Skipper Bug Screeners (skipper-screen-team)
Revision history for this message
bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2020-11-04 08:08 EDT-------
This feature is available with kernel 5.10.

Revision history for this message
Frank Heimes (fheimes) wrote :

Okay, thx - so pretty close (or already there?), since we are already at v5.10-rc2 - aot.

Revision history for this message
Frank Heimes (fheimes) wrote :

Since 5.10 landed in hirsute-proposed I'm updating this ticket to Fix Committed.

Changed in linux (Ubuntu):
status: Incomplete → Fix Committed
Changed in ubuntu-z-systems:
status: Incomplete → Fix Committed
Revision history for this message
Frank Heimes (fheimes) wrote :

Now that kernel 5.10 landed in hirsute's release pocket:
linux-generic | 5.10.0.14.16 | hirsute
this ticket is completed, hence the status is updated to 'Fix Released".

Changed in linux (Ubuntu):
status: Fix Committed → Fix Released
Changed in ubuntu-z-systems:
status: Fix Committed → Fix Released
Revision history for this message
bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2021-02-22 03:25 EDT-------
IBM Bugzilla status->closed, Fix Released with hirsuite

Frank Heimes (fheimes)
information type: Private → Public
To post a comment you must log in.
This report contains Public information  
Everyone can see this information.

Other bug subscribers